OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.SamplerObjects

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_sampler_objects extension, see http://www.opengl.org/registry/specs/ARB/sampler_objects.txt.

Synopsis

- glGenSamplers :: GLsizei -> Ptr GLuint -> IO ()
- glDeleteSamplers :: GLsizei -> Ptr GLuint -> IO ()
- glIsSampler :: GLuint -> IO GLboolean
- glBindSampler :: GLuint -> GLuint -> IO ()
- glSamplerParameteri :: GLuint -> GLenum -> GLint -> IO ()
- glSamplerParameteriv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glSamplerParameterf :: GLuint -> GLenum -> GLfloat -> IO ()
- glSamplerParameterfv :: GLuint -> GLenum -> Ptr GLfloat -> IO ()
- glSamplerParameterIiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glSamplerParameterIuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()
- glGetSamplerParameteriv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glGetSamplerParameterIiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glGetSamplerParameterfv :: GLuint -> GLenum -> Ptr GLfloat -> IO ()
- glGetSamplerParameterIuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()
- gl_SAMPLER_BINDING :: GLenum

# Functions

glGenSamplers :: GLsizei -> Ptr GLuint -> IO ()

glDeleteSamplers :: GLsizei -> Ptr GLuint -> IO ()

glIsSampler :: GLuint -> IO GLboolean

glBindSampler :: GLuint -> GLuint -> IO ()

glSamplerParameteri :: GLuint -> GLenum -> GLint -> IO ()

glSamplerParameteriv :: GLuint -> GLenum -> Ptr GLint -> IO ()

glSamplerParameterf :: GLuint -> GLenum -> GLfloat -> IO ()

glSamplerParameterfv :: GLuint -> GLenum -> Ptr GLfloat -> IO ()

glSamplerParameterIiv :: GLuint -> GLenum -> Ptr GLint -> IO ()

glSamplerParameterIuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()

glGetSamplerParameteriv :: GLuint -> GLenum -> Ptr GLint -> IO ()

glGetSamplerParameterIiv :: GLuint -> GLenum -> Ptr GLint -> IO ()

glGetSamplerParameterfv :: GLuint -> GLenum -> Ptr GLfloat -> IO ()

glGetSamplerParameterIuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()

# Tokens

gl_SAMPLER_BINDING :: GLenum